<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.5.1.final using JasperReports Library version 6.5.1  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="pengeluaranUnitAntarCabang" pageWidth="1260" pageHeight="595" orientation="Landscape" columnWidth="1220" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" uuid="8ef2327e-b3d0-45e8-a5f8-0cee0144c5d7">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="mpm"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<queryString language="SQL">
		<![CDATA[select distinct
'' as tglreq, '' as noreq,
b.dtcreate as tgl_transfer, b.slipnum as noTransfer, c.description as tujuanCabang, a.idproduct as typCode,
d.description as descType, e.marketname , g.description as warna, h.idmachine as noMsn, h.idframe as noRangka,
concat(m.fname,' ',m.lname) as namaDriver

from moving_slip a
	left join inventory_movement b on a.idslip = b.idslip
	
	left join facility c on a.idfacilityto = c.idfacility
	
	left join product d on a.idproduct = d.idproduct
	left join motor e on d.idproduct = e.idproduct

	left join sales_unit_requirement f on a.idproduct = f.idproduct
	left join feature g on f.idcolor = g.idfeature
	
	left join inventory_item h on a.idinviteto = h.idinvite
	
	left join shipment i on c.idfacility=i.idfacility
	left join shipment_outgoing j on i.idshipment = j.idshipment
	left join driver k on j.iddriver = k.idparrol
	left join party_role l on k.idparrol = l.idparrol
	left join person m on l.idparty = m.idparty]]>
	</queryString>
	<field name="tglreq" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="tglreq"/>
	</field>
	<field name="noreq" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="noreq"/>
	</field>
	<field name="tgl_transfer" class="java.sql.Timestamp">
		<property name="com.jaspersoft.studio.field.label" value="tgl_transfer"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="inventory_movement"/>
	</field>
	<field name="noTransfer" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="noTransfer"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="inventory_movement"/>
	</field>
	<field name="tujuanCabang" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="tujuanCabang"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="facility"/>
	</field>
	<field name="typCode" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="typCode"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="moving_slip"/>
	</field>
	<field name="descType" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="descType"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="product"/>
	</field>
	<field name="marketname" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="marketname"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="motor"/>
	</field>
	<field name="warna" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="warna"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="feature"/>
	</field>
	<field name="noMsn" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="noMsn"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="inventory_item"/>
	</field>
	<field name="noRangka" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="noRangka"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="inventory_item"/>
	</field>
	<field name="namaDriver" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.label" value="namaDriver"/>
	</field>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="42" splitType="Stretch">
			<staticText>
				<reportElement x="4" y="8" width="316" height="30" uuid="247f0549-a004-46ea-8b4a-358351a6e161"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font size="16" isBold="true"/>
				</textElement>
				<text><![CDATA[Report Pengeluaran Unit (Antar Cabang)]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band height="37" splitType="Stretch">
			<line>
				<reportElement x="0" y="36" width="1220" height="1" uuid="b6135633-b5fa-43e2-bd76-c456f65f4082"/>
			</line>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="34" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="0" width="90" height="30" uuid="0fcf7b45-10fb-48ff-b1ea-50e98396ade0">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="fec9a520-1ebc-4f07-b06e-c0227ae8134a"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Tgl Req]]></text>
			</staticText>
			<staticText>
				<reportElement x="90" y="0" width="120" height="30" uuid="82afc92e-ecae-42fe-aec7-08e4d55e8148">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="ec43d0f5-a84c-4aad-ba62-6bfc63cdd56e"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[No Req]]></text>
			</staticText>
			<staticText>
				<reportElement x="210" y="0" width="100" height="30" uuid="084b7af9-52a6-48c3-8390-4e8b6a6ed5c5">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="28bd8f7d-3731-4c2c-bab7-7ae8f06fe64d"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Tlg TFS]]></text>
			</staticText>
			<staticText>
				<reportElement x="310" y="0" width="120" height="30" uuid="24238522-7cbe-420a-aac2-26956c4c40be">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="1f8e1751-780e-4215-bb4e-1a4477c0f31c"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[No TFS]]></text>
			</staticText>
			<staticText>
				<reportElement x="430" y="0" width="88" height="30" uuid="1523288b-ae7b-48f8-bfc9-ce3bd7c0ddb0">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b7b98131-e18d-462d-8a72-37c43d714d33"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Tujuan Cabang]]></text>
			</staticText>
			<staticText>
				<reportElement x="518" y="0" width="100" height="30" uuid="0236edab-5a52-4348-b1b6-15b1a7311c97">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="1f0bfa7c-f4df-44e2-a5c6-1889368b24c6"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Type Code]]></text>
			</staticText>
			<staticText>
				<reportElement x="618" y="0" width="100" height="30" uuid="9f3af98a-1728-4979-9290-606590957fee">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="df9b0817-e19e-4548-baac-81ba3ddc7095"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Description Type]]></text>
			</staticText>
			<staticText>
				<reportElement x="718" y="0" width="100" height="30" uuid="1894a639-5385-4404-8488-6deb1d21cc74">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="f6978703-0cb4-4e54-a1ee-d0cf42271170"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Market Name]]></text>
			</staticText>
			<staticText>
				<reportElement x="818" y="0" width="62" height="30" uuid="654ea2b0-5ee6-40d2-9fb0-f739eb96b0f8">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="9527e1a5-aacc-4baa-9c1f-568607bd9458"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Warna]]></text>
			</staticText>
			<staticText>
				<reportElement x="880" y="0" width="120" height="30" uuid="3fb7841f-cac5-4504-aac2-7480dacb21b1">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="d36c4653-eef8-4d54-a02c-47ea5aaeefc9"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[No Mesin]]></text>
			</staticText>
			<staticText>
				<reportElement x="1000" y="0" width="120" height="30" uuid="24a0289b-2862-41e5-8ef5-6b6e033b55f8">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="4faaf27b-cad6-41b3-adb7-58d3aec0a4b9"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[No Rangka]]></text>
			</staticText>
			<staticText>
				<reportElement x="1120" y="0" width="100" height="30" uuid="a2037777-a76d-4529-8d55-0b3ab0ce78d9">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="fed8d399-aefd-4e58-a328-96527dde33ee"/>
				</reportElement>
				<textElement textAlignment="Center" verticalAlignment="Middle"/>
				<text><![CDATA[Nama Driver]]></text>
			</staticText>
			<line>
				<reportElement x="0" y="30" width="1220" height="1" uuid="aa418962-348a-4a6a-b433-07d30618094d"/>
			</line>
		</band>
	</columnHeader>
	<detail>
		<band height="51" splitType="Stretch">
			<textField>
				<reportElement x="0" y="0" width="90" height="30" uuid="1515ef4e-8d78-4c09-bb01-e7dc000f6d5d">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="fec9a520-1ebc-4f07-b06e-c0227ae8134a"/>
				</reportElement>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{tglreq}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="90" y="0" width="120" height="30" uuid="57dd2e98-e19f-4f62-9be8-86c9011743c4">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="ec43d0f5-a84c-4aad-ba62-6bfc63cdd56e"/>
				</reportElement>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{noreq}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="210" y="0" width="100" height="30" uuid="6364ed55-8754-47dc-9be4-f4bfd2960065">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="28bd8f7d-3731-4c2c-bab7-7ae8f06fe64d"/>
				</reportElement>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{tgl_transfer}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="310" y="0" width="120" height="30" uuid="792a4f26-4983-4b2b-9285-8f418a327828">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="1f8e1751-780e-4215-bb4e-1a4477c0f31c"/>
				</reportElement>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{noTransfer}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="430" y="0" width="88" height="30" uuid="0da97895-ffb2-4ba9-b879-8919f3430f5d">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="b7b98131-e18d-462d-8a72-37c43d714d33"/>
				</reportElement>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{tujuanCabang}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="518" y="0" width="100" height="30" uuid="097fd5d7-dd8e-445b-8e40-7aedb87b092e">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="1f0bfa7c-f4df-44e2-a5c6-1889368b24c6"/>
				</reportElement>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{typCode}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="618" y="0" width="100" height="30" uuid="cabdb58a-946b-4279-a449-27cd43849b89">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="df9b0817-e19e-4548-baac-81ba3ddc7095"/>
				</reportElement>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{descType}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="718" y="0" width="100" height="30" uuid="e97edbdc-ff18-4f0b-9faf-7368aa3265e8">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="f6978703-0cb4-4e54-a1ee-d0cf42271170"/>
				</reportElement>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{marketname}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="818" y="0" width="62" height="30" uuid="6c0c4915-cc4c-4ed1-91b8-95694c54b93c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="9527e1a5-aacc-4baa-9c1f-568607bd9458"/>
				</reportElement>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{warna}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="880" y="0" width="120" height="30" uuid="b8355f33-5e4a-4a28-8733-1c2048a4381c">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="d36c4653-eef8-4d54-a02c-47ea5aaeefc9"/>
				</reportElement>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{noMsn}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1000" y="0" width="120" height="30" uuid="c52f65cb-7d93-4448-b560-314c1437ba56">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="4faaf27b-cad6-41b3-adb7-58d3aec0a4b9"/>
				</reportElement>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{noRangka}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="1120" y="0" width="100" height="30" uuid="c36f7176-a14a-493f-953c-5e45f4c90681">
					<property name="com.jaspersoft.studio.spreadsheet.connectionID" value="fed8d399-aefd-4e58-a328-96527dde33ee"/>
				</reportElement>
				<textElement textAlignment="Center"/>
				<textFieldExpression><![CDATA[$F{namaDriver}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<columnFooter>
		<band height="38" splitType="Stretch">
			<line>
				<reportElement x="0" y="21" width="1220" height="1" uuid="47646a02-e8eb-403a-990a-33cb0f989186"/>
			</line>
			<line>
				<reportElement x="0" y="0" width="1220" height="1" uuid="56ba0e69-151e-44a7-bfaa-a8864d3e1995"/>
			</line>
			<staticText>
				<reportElement x="4" y="0" width="40" height="21" uuid="bf6edbcd-7913-42b4-bde5-837b358bf3e0"/>
				<textElement textAlignment="Left" verticalAlignment="Middle"/>
				<text><![CDATA[Total   :]]></text>
			</staticText>
		</band>
	</columnFooter>
	<pageFooter>
		<band height="54" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="42" splitType="Stretch"/>
	</summary>
</jasperReport>
